<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <title>Pizza Type List</title>
</head>

<body>
    <div class="container jumbotron">
        <div class="row">
            <div class="col-sm-4">
                <div class="card w-100 ocean" style="width: 18rem">
                    <img src="images/pizza_type_ocean-mania.jpg" class="card-img-top" />
                    <div class="card-body">
                        <h3 id="pizza-name"></h3>
                        <p id="pizza-note"></p>
                        <p id="pizza-des">

                        </p>
                        <p>
                            <button class=" btn btn-warning" id="btn-type-hawai" data-is-selected="N"> Chọn </button>
                        </p>
                    </div>
                </div>
            </div>

            <div class="col-sm-4">
                <div class="card w-100 hawai" style="width: 18rem">
                    <img src="images/pizza_type_hawai.jpg" class="card-img-top" />
                    <div class="card-body">
                        <h3 id="pizza-name"></h3>
                        <p id="pizza-note"></p>
                        <p id="pizza-des">

                        </p>
                        <p>
                            <button class=" btn btn-warning" id="btn-type-hawai" data-is-selected="N"> Chọn </button>
                        </p>
                    </div>
                </div>
            </div>

            <div class="col-sm-4">
                <div class="card w-100 bacon" style="width: 18rem">
                    <img src="images/pizza_type_chicken_bacon.jpg" class="card-img-top" />
                    <div class="card-body">
                        <h3 id="pizza-name"></h3>
                        <p id="pizza-note"></p>
                        <p id="pizza-des">

                        </p>
                        <p>
                            <button class=" btn btn-warning" id="btn-type-hawai" data-is-selected="N"> Chọn </button>
                        </p>
                    </div>
                </div>
            </div>
        </div>
    </div>
</body>
<script>
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */

    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
    $(document).ready(function(){
        onPageLoading();
    });

    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    function onPageLoading() {
        $.ajax({
            url: "https://647406377de100807b1a4df4.mockapi.io/types",
            type: "GET",
            success: function(paramPizzaType) {
                console.log(paramPizzaType)
                for (var bI = 0; bI < paramPizzaType.length; bI++) {
                    console.log("Loai pizza: " + paramPizzaType[bI].loaiPizza);
                    console.log("Ten pizza: " + paramPizzaType[bI].name);
                    console.log("Note pizza: " + paramPizzaType[bI].note);
                    console.log("Des pizza: " + paramPizzaType[bI].description);
                    hienThiThongTinPizzaType(paramPizzaType)
                }
            },
            error: function(paramError) {
                console.log(paramError.responseText)
            }
        });
    }

    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
    //ham hien thi thong tin loai pizza ra trang web:
    function hienThiThongTinPizzaType(paramPizzaType) {
        var vOceanMania = $(".ocean");
        vOceanMania.find("#pizza-name").html(paramPizzaType[0].name);
        vOceanMania.find("#pizza-note").html(paramPizzaType[0].note);
        vOceanMania.find("#pizza-des").html(paramPizzaType[0].description);
        
        var vHawai = $(".hawai");
        vHawai.find("#pizza-name").html(paramPizzaType[1].name);
        vHawai.find("#pizza-note").html(paramPizzaType[1].note);
        vHawai.find("#pizza-des").html(paramPizzaType[1].description);

        var vBacon = $(".bacon");
        vBacon.find("#pizza-name").html(paramPizzaType[2].name);
        vBacon.find("#pizza-note").html(paramPizzaType[2].note);
        vBacon.find("#pizza-des").html(paramPizzaType[2].description);
    }
</script>

</html>